Bug 223578 - yum does not display number of packages added and deleted from sqlite cache
yum does not display number of packages added and deleted from sqlite cache
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-19 23:10 EST by John Guthrie
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 15:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Guthrie 2007-01-19 23:10:01 EST
Description of problem: In FC5, yum would display the number of packages that
were deleted and added to the sqlite cache, like this:

gauss_1001# yum list updates
Setting up repositories
core                                                                 [1/4]
core                      100% |=========================| 1.1 kB    00:00     
local-rpms                                                           [2/4]
local-rpms                100% |=========================|  951 B    00:00     
updates-released                                                     [3/4]
updates-released          100% |=========================| 1.2 kB    00:00     
extras                                                               [4/4]
extras                    100% |=========================| 1.1 kB    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================|  15 kB    00:00     
local-rpms: ################################################## 59/59
Added 4 new packages, deleted 0 old in 0.17 seconds
primary.xml.gz            100% |=========================| 386 kB    00:02     
updates-re: ################################################## 1097/1097
Added 52 new packages, deleted 45 old in 6.29 seconds
primary.xml.gz            100% |=========================| 1.8 MB    00:10     
extras    : ################################################## 6140/6140
Added 157 new packages, deleted 114 old in 21.84 seconds
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
         This part here

But now in FC6, this does not happen:

euler_1016# yum list updates
Setting up Update Process
Setting up repositories
local-rpms                100% |=========================|  951 B    00:00     
core                      100% |=========================| 1.1 kB    00:00     
updates                   100% |=========================| 1.2 kB    00:00     
extras                    100% |=========================| 1.1 kB    00:00     
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 2.4 kB    00:00     
################################################## 4/4
primary.xml.gz            100% |=========================| 824 kB    00:04     
################################################## 2242/2242
primary.xml.gz            100% |=========================| 408 kB    00:02     
################################################## 1076/1076
primary.xml.gz            100% |=========================| 1.7 MB    00:10     
################################################## 5543/5543

The string about the number of added and deleted packages seems to come from
line 387 of the file /usr/lib/python2.4/site-packages/yum/sqlitecache.py:

self.verbose_logger.log(logginglevels.INFO_2, "Added %s new packages, deleted %s
old in %.2f seconds",
            newcount, delcount, time.time()-t)

The above output was with debuglevel=2 in my yum.conf file.  When I put
debuglevel=3 in FC6, I get the above output and more, but still no number of
added and deleted packages.

Note that in the above line of code, it mentions logginglevels.INFO_2.  If I'm
reading the package correctly, this corresponds to a debuglevel=2.  I would
certainly expect it to be output with debuglevel=3.

Version-Release number of selected component (if applicable):
3.0.3-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1.Install FC6
2.Run yum clean all (just to be sure)
3.Run yum list updates
4.watch the sqlite progress bar
  
Actual results:
The number of Added and deleted packages does not get displayed

Expected results:
I would expect them to be displayed

Additional info:
Comment 1 Jeremy Katz 2007-04-25 15:08:14 EDT
We're using the metadata parser in yum-metadata-parser now and showing it
doesn't add that much

Note You need to log in before you can comment on or make changes to this bug.